## python-qwt 0.10.2

=== doc/requirements.txt ===
numpy==1.19.1
PyQt5==5.15.0
PyQt5-sip==12.8.0
QtPy==1.9.0

## python-qwt 0.5.5

=== debian/changelog ===
python-qwt (0.5.5-3) unstable; urgency=medium

  * d/control: Added python3-pyqt5.qtsvg dependency.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 09 Oct 2019 11:39:12 +0200

python-qwt (0.5.5-2) unstable; urgency=medium

  [ Carlos Pascual ]
  * Add pyqt5 alternative dependency

  [ Picca Frédéric-Emmanuel ]
  * Removed Python2 package (Closes: #938119)
  * Added d/salsa-ci.yml
  * d/control: Remove ancient X-Python-Version field.
  * d/control: Remove ancient X-Python3-Version field.
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Deprecating priority extra as per policy 4.0.1.
  * d/control: Remove trailing whitespaces.
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/control: Added Build-Depends python3-pyqt5.qtsvg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 09 Oct 2019 11:00:10 +0200

python-qwt (0.5.5-1) unstable; urgency=medium

  * Imported Upstream version 0.5.5

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 24 Jan 2016 08:47:24 +0100

python-qwt (0.5.4-1) unstable; urgency=medium

  * Imported Upstream version 0.5.4

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 03 Jan 2016 12:15:32 +0100

python-qwt (0.5.3-1) unstable; urgency=medium

  * Imported Upstream version 0.5.3

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Dec 2015 15:42:04 +0100

python-qwt (0.5.2-1) unstable; urgency=medium

  * Imported Upstream version 0.5.2

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 05 Dec 2015 12:24:37 +0100

python-qwt (0.5.1-1) unstable; urgency=medium

  * Imported Upstream version 0.5.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 12 Nov 2015 21:01:22 +0100

python-qwt (0.5.0-1) unstable; urgency=medium

  * Imported Upstream version 0.5.0

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 06 Nov 2015 22:18:38 +0100

python-qwt (0.4.0-1) unstable; urgency=medium

  * Imported Upstream version 0.4.0

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 25 Oct 2015 14:49:46 +0100

python-qwt (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #796955)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 26 Aug 2015 10:30:45 +0200

=== debian/control ===
Source: python-qwt
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
           Carlos Pascual <cpascual@cells.es>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 9),
               dh-python,
               python3-all,
               python3-numpy,
               python3-pyqt5,
               python3-pyqt5.qtsvg,
               python3-setuptools,
               python3-sip,
               python3-sphinx
Standards-Version: 3.9.6
Vcs-Browser: https://salsa.debian.org/science-team/python-qwt
Vcs-Git: https://salsa.debian.org/science-team/python-qwt.git
Homepage: https://github.com/PierreRaybaut/qwt

Package: python3-qwt
Architecture: all
Section: python
Depends: python3-pyqt5,
         python3-pyqt5.qtsvg,
         ${misc:Depends},
         ${python3:Depends}
Provides: ${python3:Provides}
Breaks: ${python3:Breaks}
Description: Pure Python implementation of Qwt - Python 3
 The qwt package is a pure Python implementation of Qwt C++ library
 with the following limitations.
 .
 The following `Qwt` classes won't be reimplemented in `qwt` because most
 powerful features already exist in `guiqwt`:
   * QwtPlotZoomer
   * QwtCounter
   * QwtEventPattern
   * QwtPicker
   * QwtPlotPicker
 .
 QwtClipper is not implemented yet (and it will probably be very
 difficult or impossible to implement it in pure Python without
 performance issues).  As a consequence, when zooming in a plot curve,
 the entire curve is still painted (in other words, when working with
 large amount of data, there is no performance gain when zooming in).
 .
 This is the Python 3 version of the package.

Package: python-qwt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Pure Python implementation of Qwt - Documentation
 The qwt package is a pure Python implementation of Qwt C++ library
 with the following limitations.
 .
 The following `Qwt` classes won't be reimplemented in `qwt` because most
 powerful features already exist in `guiqwt`:
   * QwtPlotZoomer
   * QwtCounter
   * QwtEventPattern
   * QwtPicker
   * QwtPlotPicker
 .
 QwtClipper is not implemented yet (and it will probably be very
 difficult or impossible to implement it in pure Python without
 performance issues).  As a consequence, when zooming in a plot curve,
 the entire curve is still painted (in other words, when working with
 large amount of data, there is no performance gain when zooming in).
 .
 This is the documentation of the package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=qwt

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	rm -rf build/html
	dh_clean

override_dh_auto_install:
	dh_auto_install
	dh_numpy3

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html # HTML generator

## python-qwt 0.8.1

=== debian/changelog ===
python-qwt (0.8.1-2) unstable; urgency=medium

  * d/control: Added Build-Depends, xauth and xvfb for tests
  * d/rules: Added the unit test.
  * d/t/control: Added the autopkgtests.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 27 Aug 2020 11:21:35 +0200

python-qwt (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * d/control: Switched to debhelper level 13
  * d/control: Build-depends added python3-qtpy
  * d/control: Build-Depends removed python3-pyqt5, python3-pyqt5.qtsvg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 26 Aug 2020 10:03:20 +0200

=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,8 @@
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html # HTML generator
+
+override_dh_auto_test: export TEST_UNATTENDED=1
+override_dh_auto_test:
+	# dh_auto_test -- -s custom --test-args="xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} -m qwt.tests"
+	dh_auto_test -- -s custom --test-args="xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} -m qwt.tests.__init__"

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; export TEST_UNATTENDED=1
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py -m qwt.tests.__init__
 ; done
Depends: python3-all, python3-qwt, xauth, xvfb
Restrictions: allow-stderr

## python-qwt 0.8.3

=== debian/changelog ===
python-qwt (0.8.3-1) unstable; urgency=medium

  * New upstream version 0.8.3
  * d/t/control: Used the provided script for the integration tests

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 01 Sep 2020 11:11:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
            Carlos Pascual <cpascual@cells.es>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 9),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-numpy,
-               python3-pyqt5,
-               python3-pyqt5.qtsvg,
+               python3-qtpy,
                python3-setuptools,
                python3-sip,
-               python3-sphinx
-Standards-Version: 3.9.6
+               python3-sphinx,
+               xauth <!nocheck>,
+               xvfb <!nocheck>
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-qwt
 Vcs-Git: https://salsa.debian.org/science-team/python-qwt.git
 Homepage: https://github.com/PierreRaybaut/qwt
@@ -21,12 +22,10 @@
 Package: python3-qwt
 Architecture: all
 Section: python
-Depends: python3-pyqt5,
-         python3-pyqt5.qtsvg,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends}
+Breaks: ${python3:Breaks}
 Provides: ${python3:Provides}
-Breaks: ${python3:Breaks}
 Description: Pure Python implementation of Qwt - Python 3
  The qwt package is a pure Python implementation of Qwt C++ library
  with the following limitations.
@@ -50,7 +49,8 @@
 Package: python-qwt-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
 Description: Pure Python implementation of Qwt - Documentation
  The qwt package is a pure Python implementation of Qwt C++ library
  with the following limitations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export PYBUILD_NAME=qwt

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	rm -rf build/html
	dh_clean

override_dh_auto_install:
	dh_auto_install
	dh_numpy3

override_dh_auto_build:
	dh_auto_build
	# do not build the doc for now, it hang on the CI
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -vvv -N -bhtml doc/ build/html # HTML generator

override_dh_auto_test: export PYTHONQWT_UNATTENDED_TESTS=1
override_dh_auto_test:
	# use the next line to debug unittest without xvfb
	# dh_auto_test -- -s custom --test-args="{interpreter} -m qwt.tests.__init__"
	dh_auto_test -- -s custom --test-args="xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} -m qwt.tests.__init__"

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py /usr/bin/PythonQwt-tests-py3 --mode unattended
 ; done
Depends: python3-all, python3-qwt, xauth, xvfb
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/PythonQwt/PythonQwt-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-qwt 0.9.0

=== debian/changelog ===
python-qwt (0.9.0-2) unstable; urgency=medium

  * d/control: Use dh-sequence-X
  * d/rules: Simplified thanks to dh-sequence-X.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 31 Aug 2021 19:07:22 +0200

python-qwt (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Update watch file format version to 4.
  * Update standards version to 4.5.1, no changes needed.
  * Apply multi-arch hints.
    + python-qwt-doc: Add Multi-Arch: foreign.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 30 Aug 2021 09:27:42 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
                python3-all,
                python3-numpy,
                python3-qtpy,
@@ -14,7 +17,7 @@
                python3-sphinx,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/python-qwt
 Vcs-Git: https://salsa.debian.org/science-team/python-qwt.git
 Homepage: https://github.com/PierreRaybaut/qwt
@@ -51,6 +54,7 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Pure Python implementation of Qwt - Documentation
  The qwt package is a pure Python implementation of Qwt C++ library
  with the following limitations.

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ https://pypi.debian.net/PythonQwt PythonQwt-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-qwt 0.10.1

=== debian/changelog ===
python-qwt (0.10.1-2) unstable; urgency=medium

  * d/t/control: fix by using the right upstream test script

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 03 Jun 2022 09:50:53 +0200

python-qwt (0.10.1-1) unstable; urgency=medium

  * d/watch: Use the right url
  * d/control: Removed the python3-sip B-D (useless now)
  * New upstream version 0.10.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 01 Jun 2022 10:53:20 +0200

## python-qwt 0.10.2

=== debian/changelog ===
python-qwt (0.10.2-1) unstable; urgency=medium

  * New upstream version 0.10.2

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 16 Oct 2022 13:10:25 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,7 @@
                python3-numpy,
                python3-qtpy,
                python3-setuptools,
-               python3-sip,
-               python3-sphinx,
+               python3-sphinx <!nodoc>,
                xauth <!nocheck>,
                xvfb <!nocheck>
 Standards-Version: 4.5.1

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export PYBUILD_NAME=qwt

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_clean:
	rm -rf build/html

execute_after_dh_auto_build: export PYTHONPATH=$(CURDIR)
execute_after_dh_auto_build: export http_proxy='127.0.0.1:9'
execute_after_dh_auto_build:
	sphinx-build -vvv -N -bhtml doc/ build/html # HTML generator

override_dh_auto_test: export PYTHONQWT_UNATTENDED_TESTS=1
override_dh_auto_test:
	# use the next line to debug unittest without xvfb
	# dh_auto_test -- -s custom --test-args="{interpreter} -m qwt.tests.__init__"
	dh_auto_test -- -s custom --test-args="xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} -m qwt.tests.__init__"

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py /usr/bin/PythonQwt-tests --mode unattended
 ; done
Depends: python3-all, python3-qwt, xauth, xvfb
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.python.org/packages/source/p/PythonQwt/ \
  PythonQwt-(.+)\.tar\.gz debian uupdate

## python-qwt 0.12.1

=== debian/changelog ===
python-qwt (0.12.1-1) unstable; urgency=medium

  * New upstream release 0.12.1.
  * Add myself to Uploaders:.
  * Add Build-Depends: dbus for testsuite.

 -- Roland Mas <lolando@debian.org>  Fri, 08 Mar 2024 18:10:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-qwt
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
-           Carlos Pascual <cpascual@cells.es>
+           Carlos Pascual <cpascual@cells.es>,
+	   Roland Mas <lolando@debian.org>,
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -9,11 +10,13 @@
                dh-sequence-numpy3,
                dh-sequence-python3,
                dh-sequence-sphinxdoc <!nodoc>,
+	       pybuild-plugin-pyproject,
                python3-all,
                python3-numpy,
                python3-qtpy,
                python3-setuptools,
                python3-sphinx <!nodoc>,
+	       dbus <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>
 Standards-Version: 4.5.1

## python-qwt 0.12.5

=== debian/changelog ===
python-qwt (0.12.5-1) unstable; urgency=medium

  * Update debian/watch.
  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Sat, 22 Jun 2024 15:04:49 +0200

## python-qwt 0.12.7

=== doc/requirements.txt ===
numpy==1.22.0
PyQt5==5.15.0
PyQt5-sip==12.8.0
QtPy==1.9.0

=== debian/changelog ===
python-qwt (0.12.7-4) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-pyqt6.qtsvg. Closes: #1116875.
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 20:40:00 +0200

python-qwt (0.12.7-3) unstable; urgency=medium

  * Team upload.
  * Let python3-pyqt5.qtsvg tests run.

  [ Stuart Prescott ]
  * Remove duplicate python3-pyside6.qtgui from d/control.
  * Fix sort order in d/t/control.

 -- Bastian Germann <bage@debian.org>  Sun, 19 Jan 2025 19:42:11 +0100

python-qwt (0.12.7-2) unstable; urgency=medium

  * Team upload.
  * Add explicit build-deps on each Qt implementation for tests
    (Closes: #1089941).
  * Add autopkgtest tests for each Qt implementation.
  * Add requested "Suggests: python-qwt-doc" to module package
    (Closes: #849614).
  * Update Standards-Version to 4.7.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sun, 05 Jan 2025 15:15:05 +1100

python-qwt (0.12.7-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 06 Aug 2024 16:11:57 +0200

python-qwt (0.12.5-2) unstable; urgency=medium

  * Depend on python3-pytest for autopkgtests.

 -- Roland Mas <lolando@debian.org>  Tue, 06 Aug 2024 15:18:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,54 @@
 Source: python-qwt
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
-           Carlos Pascual <cpascual@cells.es>,
-	   Roland Mas <lolando@debian.org>,
+Uploaders:
+ Picca Frédéric-Emmanuel <picca@debian.org>,
+ Carlos Pascual <cpascual@cells.es>,
+ Roland Mas <lolando@debian.org>,
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               dh-sequence-numpy3,
-               dh-sequence-python3,
-               dh-sequence-sphinxdoc <!nodoc>,
-	       pybuild-plugin-pyproject,
-               python3-all,
-               python3-numpy,
-               python3-qtpy,
-               python3-setuptools,
-               python3-sphinx <!nodoc>,
-	       dbus <!nocheck>,
-               xauth <!nocheck>,
-               xvfb <!nocheck>
-Standards-Version: 4.5.1
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python,
+ dh-sequence-numpy3,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ dbus <!nocheck>,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-numpy,
+ python3-pyqt5 <!nocheck>,
+ python3-pyqt5.qtsvg <!nocheck>,
+ python3-pyqt6 <!nocheck>,
+ python3-pyqt6.qtsvg,
+ python3-pyside6.qtcore <!nocheck>,
+ python3-pyside6.qtgui <!nocheck>,
+ python3-pyside6.qtopengl <!nocheck>,
+ python3-pyside6.qtprintsupport <!nocheck>,
+ python3-pyside6.qtsvg <!nocheck>,
+ python3-pyside6.qtwidgets <!nocheck>,
+ python3-pytest,
+ python3-qtpy,
+ python3-setuptools,
+ python3-sphinx <!nodoc>,
+ xauth <!nocheck>,
+ xvfb <!nocheck>,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-qwt
 Vcs-Git: https://salsa.debian.org/science-team/python-qwt.git
-Homepage: https://github.com/PierreRaybaut/qwt
+Homepage: https://github.com/PlotPyStack/qwt
 
 Package: python3-qwt
 Architecture: all
 Section: python
-Depends: ${misc:Depends},
-         ${python3:Depends}
-Breaks: ${python3:Breaks}
-Provides: ${python3:Provides}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+Breaks:
+ ${python3:Breaks},
+Provides:
+ ${python3:Provides},
+Suggests:
+ python-qwt-doc,
 Description: Pure Python implementation of Qwt - Python 3
  The qwt package is a pure Python implementation of Qwt C++ library
  with the following limitations.
@@ -54,8 +72,9 @@
 Package: python-qwt-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Multi-Arch: foreign
 Description: Pure Python implementation of Qwt - Documentation
  The qwt package is a pure Python implementation of Qwt C++ library

=== debian/tests/control ===
Test-Command: debian/tests/qwt-tests pyqt5
Features:
 test-name=python3-qwt-pyqt5,
Restrictions:
 allow-stderr,
Depends:
 python3-all,
 python3-pyqt5,
 python3-pyqt5.qtsvg,
 python3-pytest,
 python3-qwt,
 xauth,
 xvfb,

Test-Command: debian/tests/qwt-tests pyqt6
Features:
 test-name=python3-qwt-pyqt6,
Restrictions:
 allow-stderr,
Depends:
 python3-all,
 python3-pyqt6,
 python3-pyqt6.qtsvg,
 python3-pytest,
 python3-qwt,
 xauth,
 xvfb,

Test-Command: debian/tests/qwt-tests pyside6
Features:
 test-name=python3-qwt-pyside6,
Restrictions:
 allow-stderr,
Depends:
 python3-all,
 python3-pyside6.qtcore,
 python3-pyside6.qtgui,
 python3-pyside6.qtopengl,
 python3-pyside6.qtprintsupport,
 python3-pyside6.qtsvg,
 python3-pyside6.qtwidgets,
 python3-pytest,
 python3-qwt,
 xauth,
 xvfb,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/PlotPyStack/PythonQwt/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## python-qwt 0.15.0

=== debian/changelog ===
python-qwt (0.15.0-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 09 Dec 2025 20:48:53 +0100
